// NpMsgr.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "NpMsgr.h"
#include "NpMsgrMain.h"

#if defined(WIN32)

#include "ITinyWindow.h"

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
		g_hInst = (HINSTANCE)hModule;
		
//        _Module.Init(NULL, g_hInst, NULL);
		RegisterTinyWindow((HINSTANCE)hModule);
        DisableThreadLibraryCalls(g_hInst);
		CIkWnd::sRegisterWindowClass();

//		DLOG_INIT("NpMsgr");
		break;
		
	case DLL_THREAD_ATTACH:
		break;
	case DLL_THREAD_DETACH:
		break;
	case DLL_PROCESS_DETACH:
		CIkWnd::sUnRegisterWindowClass();
//        _Module.Term();
		g_hInst = NULL;
		UnregisterTinyWindow();
		break;
    }
    return TRUE;
}

HINSTANCE g_hInst = NULL;

#endif // WIN32

INpMsgr * __stdcall CreateNpMsgr(_INpMsgrEvents * pEvents)
{
	CNpMsgrMain * pNpMsgrMain = new CNpMsgrMain(pEvents);
	
	return pNpMsgrMain;
}